#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCtreeList.h>
extern WSCtreeList* newlist_001;
void btnep1(WSCbase* object){
static int count = 1;
  WSCstring str;
  str << "항목" << count;
  newlist_001->addItem(str);

  //아이콘의 설정예
  if (count % 2 == 0){
    //2,4,6..번째에서
    //WSNiconPixmap 속성와 다른 아이콘을 지정해본다.
    //리스트에서 항목표시에 이용되는 라벨을 취득.
    //-1 은 마지막 항목을 의미한다.
    WSCbase* lb = newlist_001->getLabel(-1);
    lb->setProperty(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/bi16.xpm");
  }

  // setItemValue( item pos   , WS_NDENT_LEVEL, indent_level)
  // item pos = 0,1,2,3... -1 = 마지막의 항목
  // indent level = 0 =최상의, 1 =제1자, 2 =제2자, 3...
  newlist_001->setItemValue(-1,WS_INDENT_LEVEL, (count-1) % 4 );

  // setItemValue( item pos   , WS_OPEN, flag) 
  // controling item (specified item only) for tree:open/close
  // item pos = 0,1,2,3... -1 = 마지막의 항목
  // flag: 0 =close, 1 =open.
  newlist_001->setItemValue(-1,WS_OPEN,1);

  // setItemValue( item pos   , WS_ABSOLUTE_OPEN, flag) 
  // controling item (including parent item) for tree:open/close
  // item pos = 0,1,2,3... -1 = 마지막의 항목
  // flag: 0 =close, 1 =open.

//    newlist_001->setItemValue(-1,WS_ABSOLUTE_OPEN,1);
  newlist_001->updateList();
  count++;

}
static WSCfunctionRegister  op("btnep1",(void*)btnep1);
